/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;


import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.EOPlanComptable;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.client.metier.EOPafReversements;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class SageReversementsView extends javax.swing.JPanel {

	
	
	
  	/**
	 * 
	 */
	private static final long serialVersionUID = 6321789761362845292L;



	public javax.swing.JButton getButtonGetClasse4() {
		return buttonGetClasse4;
	}

	public void setButtonGetClasse4(javax.swing.JButton buttonGetClasse4) {
		this.buttonGetClasse4 = buttonGetClasse4;
	}

	public javax.swing.JTextField getTfVentilation() {
		return tfVentilation;
	}

	public void setTfVentilation(javax.swing.JTextField tfVentilation) {
		this.tfVentilation = tfVentilation;
	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public javax.swing.JButton getButtonGetLbud() {
		return buttonGetLbud;
	}

	
	
	public javax.swing.JButton getBtnPrint() {
		return btnPrint;
	}

	public void setBtnPrint(javax.swing.JButton btnPrint) {
		this.btnPrint = btnPrint;
	}

	public void setButtonGetLbud(javax.swing.JButton buttonGetLbud) {
		this.buttonGetLbud = buttonGetLbud;
	}

	public javax.swing.JTextField getTfLbud() {
		return tfLbud;
	}

	public void setTfLbud(javax.swing.JTextField tfLbud) {
		this.tfLbud = tfLbud;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}


		protected EODisplayGroup eod;
	protected ZEOTable myEOTable;

	

	public javax.swing.JButton getButtonTraiter() {
		return buttonTraiter;
	}

	public void setButtonTraiter(javax.swing.JButton buttonTraiter) {
		this.buttonTraiter = buttonTraiter;
	}


	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

    /** Creates new form TemplateJPanel */
    public SageReversementsView(EODisplayGroup displayGroup) {

        eod = displayGroup;
        
        initComponents();
        initGui();
        
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tfTotal = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        viewTable = new javax.swing.JPanel();
        buttonTraiter = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        tfVentilation = new javax.swing.JTextField();
        buttonGetClasse4 = new javax.swing.JButton();
        tfLbud = new javax.swing.JTextField();
        buttonGetLbud = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        btnPrint = new javax.swing.JButton();

        tfTotal.setEditable(false);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Total");

        viewTable.setLayout(new java.awt.BorderLayout());

        buttonTraiter.setText("Traiter Reversements");
        buttonTraiter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonTraiterActionPerformed(evt);
            }
        });

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Ventilation");

        tfVentilation.setBackground(new java.awt.Color(204, 204, 204));
        tfVentilation.setEditable(false);

        buttonGetClasse4.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonGetClasse4.setMinimumSize(new java.awt.Dimension(30, 22));

        tfLbud.setBackground(new java.awt.Color(204, 204, 204));
        tfLbud.setEditable(false);

        buttonGetLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonGetLbud.setMinimumSize(new java.awt.Dimension(30, 22));

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Budget");

        btnPrint.setText("Imprimer");
        btnPrint.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPrintActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 749, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 70, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfVentilation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 485, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonGetClasse4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 36, Short.MAX_VALUE)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfTotal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 70, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 309, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 81, Short.MAX_VALUE)
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonTraiter)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 355, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(tfVentilation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTotal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(buttonGetClasse4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonTraiter)
                    .add(jLabel4)
                    .add(tfLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnPrint))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

private void buttonTraiterActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonTraiterActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonTraiterActionPerformed

private void btnPrintActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPrintActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_btnPrintActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnPrint;
    protected javax.swing.JButton buttonGetClasse4;
    protected javax.swing.JButton buttonGetLbud;
    protected javax.swing.JButton buttonTraiter;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    protected javax.swing.JTextField tfLbud;
    private javax.swing.JTextField tfTotal;
    protected javax.swing.JTextField tfVentilation;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    
        
    /**
     * 
     */
    private void initGui() {
            
    	buttonGetClasse4.setIcon(KakiIcones.ICON_SELECT_16);
    	buttonGetLbud.setIcon(KakiIcones.ICON_SELECT_16);

    	buttonTraiter.setIcon(KakiIcones.ICON_CALCULATE_16);

    	btnPrint.setIcon(KakiIcones.ICON_PRINTER_16);

    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

     	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, "MOIS", "Mois", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
     	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_UB_COLKEY, "UB", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_CR_COLKEY, "CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_SOUSCR_COLKEY, "SOUS CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eod, EOTypeCredit.TCD_CODE_COLKEY, "TCD", 30);
//    	col.setAlignment(SwingConstants.LEFT);
//    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, "LOLF_CODE", "LOLF", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, "CAN_CODE", "CANAL", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, "CONVENTION", "CONV", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPlanComptable.PCO_NUM_COLKEY, "COMPTE", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, "PCO_NUM_CONTREPARTIE", "CONTREPARTIE", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, "PCO_LIBELLE", "LIBELLE", 140);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafReversements.REV_MONTANT_COLKEY, "Montant", 60);
//		col.setFormatDisplay(CocktailConstantes.FORMAT_DECIMAL);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eod, EOPafReversements.REV_OBSERVATION_COLKEY, "Observations", 150);
//    	col.setAlignment(SwingConstants.LEFT);
//    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafReversements.REV_ETAT_COLKEY, "ETAT", 60);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);


		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(KakiConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    
 
    }

	public javax.swing.JTextField getTfTotal() {
		return tfTotal;
	}

	public void setTfTotal(javax.swing.JTextField tfTotal) {
		this.tfTotal = tfTotal;
	}
    
}
